%global gem_name jekyll-asciidoc

Name:           rubygem-%{gem_name}
Version:        2.1.1
Release:        1%{?dist}
Summary:        Jekyll plugin for using AsciiDoc sources with Asciidoctor
License:        MIT

URL:            https://github.com/asciidoctor/jekyll-asciidoc
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem

# Patch to disable tests for the optional pygments.rb support
Patch0:         00-disable-pygments.rb-tests.patch

BuildRequires:  ruby(release)
BuildRequires:  rubygems-devel
BuildRequires:  ruby >= 1.9.3

BuildRequires:  rubygem(asciidoctor)
BuildRequires:  rubygem(jekyll)
BuildRequires:  rubygem(rspec)

BuildArch:      noarch

%description
A Jekyll plugin that converts the AsciiDoc source files in your site to HTML
pages using Asciidoctor.


%package        doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}

BuildArch:      noarch

%description    doc
Documentation for %{name}.


%prep
%setup -q -n %{gem_name}-%{version}

%patch0 -p1


%build
gem build ../%{gem_name}-%{version}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
rspec spec
popd


%files
%license %{gem_instdir}/LICENSE.adoc

%dir %{gem_instdir}

%{gem_libdir}

%exclude %{gem_cache}

%{gem_spec}


%files doc
%doc %{gem_docdir}

%doc %{gem_instdir}/CHANGELOG.adoc
%doc %{gem_instdir}/README.adoc
%doc %{gem_instdir}/jekyll-asciidoc.gemspec

%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/spec


%changelog
* Tue Nov 13 2018 Fabio Valentini <decathorpe@gmail.com> - 2.1.1-1
- Update to version 2.1.1.

* Mon Oct 01 2018 Fabio Valentini <decathorpe@gmail.com> - 2.1.0-1
- Initial package

